| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions | Static Public Member Functions | Protected Member Functions
com.symantec.sepm.webservice.client.command.RemediateActionPayloadValidator Class Reference

Power eraser detection remediation payload validator. More...

## Public Member Functions
void | validate (String computerId, RemediateActionPayload payload) throws InvalidArgumentServiceException
| Validate payload of power eraser detection remediate. More...

## Static Public Member Functions
static RemediateActionPayloadValidator | create (String commandType, ClientManager clientManager)
| Create validator instance based on command type. More...

## Protected Member Functions
boolean | isValidateAction (int actualAction)
| Validate the actionAction value. More...

## Detailed Description

Power eraser detection remediation payload validator.

## Member Function Documentation

static RemediateActionPayloadValidator com.symantec.sepm.webservice.client.command.RemediateActionPayloadValidator.create | ( | String | commandType,
|  | ClientManager | clientManager
| ) |  |
| static

Create validator instance based on command type.

Parameters

  commandType | valid command type is PowerEraserCommand.INPUT_REMOVE or PowerEraserCommand.INPUT_RESTORE
  commandManager | CommandManager instance

Returns
  validator. return null if the no validator for given commandType

void com.symantec.sepm.webservice.client.command.RemediateActionPayloadValidator.validate | ( | String | computerId,
|  | RemediateActionPayload | payload
| ) |  | throws InvalidArgumentServiceException

Validate payload of power eraser detection remediate.

Parameters

  computerGUID | Computer GUID
  payload | RemediateActionPayload

Exceptions

  InvalidArgumentServiceException |

boolean com.symantec.sepm.webservice.client.command.RemediateActionPayloadValidator.isValidateAction | ( | int | actualAction | ) |
| protected

Validate the actionAction value.

Parameters

  actualAction |

Returns